#include <Xm/Xm.h>
/* #include "xpm/xpm.h" */
#include "X11/xpm.h"
#include <stdio.h>
#include "title2.xpm"


extern Display *display;
extern Widget drawingarea, toplevel;
extern int screen_num;
extern GC gc;
extern Window win;

void show_title_dialog(void)
{
  Pixmap pixmap;
  XpmAttributes attribs;
  int result, width, height, x, y;
  int wait = 1;
  XEvent event;
  XSetWindowAttributes winattr;
  unsigned long valuemask;

  attribs.valuemask = 0;

  /* query size of root Window */

  width  = DisplayWidth (display, screen_num);
  height = DisplayHeight (display, screen_num);

  x = (width-396) / 2;
  y = (height-320) / 2;

  win = XCreateSimpleWindow (display, RootWindow(display,screen_num), x, y, 396, 320, 5, 
			     BlackPixel(display,screen_num), WhitePixel(display,screen_num));

  result = XpmCreatePixmapFromData (display, win, title2_xpm, &pixmap, NULL,
				    &attribs);  

  winattr.save_under = True;
  winattr.override_redirect = True;
  valuemask = CWSaveUnder | CWOverrideRedirect;
  XChangeWindowAttributes (display, win, valuemask, &winattr); 

  XSetTransientForHint (display, win, XtWindow (toplevel)); 
  XSelectInput (display, win, ExposureMask);
  XMapWindow (display, win);

  XCopyArea (display, pixmap, win,
	     gc, 0, 0, 396, 320, 0, 0);

  XFlush (display);

  XFreePixmap (display, pixmap); 
}
